Bug Hunting Session
Bug 95575 - Multiple-page view should automatically zoom out pages
Summary: Multiple-page view should automatically zoom out pages
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: topicUI
Depends on:
Blocks: Multi-Page-View
  Show dependency treegraph
 
Reported: 2015-11-04 17:07 UTC by Timur
Modified: 2019-02-13 12:31 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Multiple-page view zoom (34.59 KB, image/jpeg)
2015-11-04 17:07 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2015-11-04 17:07:49 UTC
Created attachment 120264 [details]
Multiple-page view zoom

Current behavior: 
if we click on multiple-page view icon, we get 2 pages only if already zoomed, otherwise we need to zoom further, so it looks like nothing happens if, for example, zoom is first set to 100%

Expected behavior: 
when we click on multiple-page view icon, Writer should automatically zoom out pages if not already zoomed, depending on canvas size
Comment 1 Buovjaga 2015-11-10 13:17:04 UTC
I'm not sure, if it would be smart to change this (especially as multi-page can be bigger than 2), so I'll cycle this through UX.
Comment 2 Heiko Tietze 2016-09-07 14:04:28 UTC
That's a valid request: With 100% zoom you do not see any effect when switching from single page to multiple page preview (at least on Qt with a dark theme the icon gives no indication too, no highlighting for instance). 

The proposal is to adjust in that case the zoom factor so that fits two pages. When going back to single page I would also change the zoom factor from 65% or whatever it is on the actual system to 100%.

Removing needsUX, proposing EasyHack. NEEDINFO: Please add codepointers.
Comment 3 V Stuart Foote 2016-09-07 14:43:25 UTC
Hmm, something probably should be done with it. 

But there is an interesting interplay between the status bar zoom slide widget and the multi-page view state.  Depending on canvas size the zoom scale at which the multi-page view displays more than one page shifts. It recalculates as the canvas size is dragged larger or smaller (e.g. by expanding Writer's windows frame, or adjusting the Sidebar deck).

Meaning we'll have issues with a fixed zoom factor--not small enough and only one page will continue to show as currently, too small and user will have to adjust with the zoom slider.
Comment 4 jani 2016-09-08 07:41:12 UTC Comment hidden (obsolete)
Comment 5 Xisco Faulí 2016-09-27 10:36:05 UTC Comment hidden (obsolete)
Comment 6 jani 2016-10-25 13:45:13 UTC
acc. consultation, this is quite difficult to implement.
Comment 7 QA Administrators 2018-10-09 02:53:26 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug